Skip to main content

4. Get Result

Get the unhosted wallet verification results based on the Verification Session ID. If a callback URL was configured during token issuance, the same data format will be delivered upon successful verification.

Endpoint

GET /v1/code/unhosted-wallet-verification/{verificationId}

Request Parameters

Path Parameters

NameTypeRequiredDescription
verificationIdstringRequiredVerification session ID.

Response

Fields

NameTypeDescription
verificationIdstringVerification session ID.
statusstringVerification status (VERIFIED, etc.).
blockchainstringBlockchain network.
assetstringToken ticker.
addressstringUser's wallet address.
signaturestringSignature.
signedMessagestringMessage used for signing.
verifiedAtdatetimeVerification time.

Examples

Request

curl --request GET \
--url https://trapi-dev.codevasp.com/v1/code/unhosted-wallet-verification/93b3ccdc-c4c4-46be-a554-c77f4c6dfb47 \
--header 'X-Code-Req-Datetime: 2026-03-04T15:10Z' \
--header 'X-Code-Req-Nonce: 989166249' \
--header 'X-Code-Req-PubKey: YourPubkey' \
--header 'X-Code-Req-Signature: Signature' \
--header 'X-Request-Origin: code:yourVaspEntityId' \
--header 'accept: application/json'

Response

{
"verificationId": "93b3ccdc-c4c4-46be-a554-c77f4c6dfb41",
"status": "VERIFIED",
"blockchain": "ETH",
"asset": "ETH",
"address": "0x916396129Ba9451Ee4fA0dc976618B7e04455F6A",
"signature": "0x612b33afa55a8a8aa488d38f438f77cecfb9c0a081831ce1e1e2c52530c91f14158256b0078b83034199d244bd66c56cce561f2820a64743326e1b3b258fdaea1b",
"signedMessage": "message",
"verifiedAt": "2026-01-30T01:15:06"
}